<?php
require_once(__DIR__ . "/../../classes/Sistema.php");
set_sistema(Sistema::INDICACOES);
$sistema = new Sistema();
$token = $_SESSION['tokenSenhaNova'];
$id = $_SESSION['tokenSenhaNovaId'];
$tipo = $_SESSION['tokenSenhaNovaTipo'];
$sistema->sessao->deslogar();

if(!isset($_SESSION['tokenSenhaNova'])){
	$sistema->redirecionar('../');
}

$senha1 = $_POST['senha1'];
$senha2 = $_POST['senha2'];

if($senha1 != $senha2 || strlen($senha1) < 8 || strlen($senha1) > 64){
	unset($_SESSION['tokenSenhaNova']);
	unset($_SESSION['tokenSenhaNovaTipo']);
	unset($_SESSION['tokenSenhaNovaId']);
	$sistema->redirecionar('../');
}

try{
	$resultado = $sistema->indicacoes->modificar_senha($token, $senha1, $tipo, $id);
	if($resultado == -1){
		$_SESSION['loginsucesso'] = 0;
		$sistema->redirecionar('../');
	}
	else{
		$sistema->redirecionar('../');
	}
}
catch(Exception $e){
	unset($_SESSION['tokenSenhaNova']);
	unset($_SESSION['tokenSenhaNovaTipo']);
	unset($_SESSION['tokenSenhaNovaId']);
	$_SESSION['errologin'] = 8;
	$sistema->redirecionar('../');
}
?>